%global appname com.github.unrud.VideoDownloader

Name:           video-downloader

Version:        0.1.5
Release:        6%{?dist}
Summary:        Download videos from websites like YouTube and many others

License:        GPLv3+
URL:            https://github.com/Unrud/video-downloader
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  librsvg2-tools
BuildRequires:  meson
BuildRequires:  python3-devel
Requires:       hicolor-icon-theme
Requires:       python3-pillow-tk
Requires:       python3-xlib
Requires:       youtube-dl

%description
Download videos from websites with an easy-to-use interface. Provides the
following features:

- Convert videos to MP3
- Supports password-protected and private videos
- Download single videos or whole playlists
- Automatically selects a video format based on your preferred resolution

Based on youtube-dl.

%prep
%autosetup -p1
# https://github.com/Unrud/video-downloader/pull/3
sed -i "s!'appdata'!'metainfo'!" data/meson.build

%build
%meson
%meson_build

%install
%meson_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{appname}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{appname}.desktop

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/%{name}
%{_metainfodir}/*.xml

%changelog
* Sun Sep 08 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.5-6
- Initial package

